#include <iostream>
#include <vector>
using namespace std;
int main()
{
    int N,i,j,M;
    cin>>N;
    vector<int>A,B;
    for(i=1,j=2*N;i<=N/2;i++,j--)
    {
        A.push_back(j);
        A.push_back(i);
        if(i==N/2 && N%2!=0)A.push_back(j-1);
    }
    if(N%2!=0)M=N-1;
    else M=N;
    for(i=N/2+1,j=2*N-(N+1)/2;i<=M;i++,j--)
    {
        B.push_back(j);
        B.push_back(i);
        if(i==M && N%2!=0)B.push_back(j-1);
    }
    for(int i=0;i<N;i++)cout<<A[i];
    for(int i=0;i<N;i++)cout<<B[i];
    return 0;
}